Skip to main content
`Ctrl`+`K`

# PetscViewerStringSetString

sets the string that a string viewer will print to

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerStringSetString(PetscViewer viewer, char string[], size_t len) PeNS

Logically Collective

## Input Parameters

- viewer - string viewer you wish to attach string to

- string - the string to print data into

- len - the length of the string

## Note

The function does not copy the string, it uses it directly therefore you cannot free the string until the viewer is destroyed. If you call `PetscViewerStringSetOwnString()` the ownership passes to the viewer and it will be responsible for freeing it. In this case the string must be obtained with `PetscMalloc()`.

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerStringOpen()`, `PETSCVIEWERSTRING`, `PetscViewerStringGetStringRead()`, `PetscViewerStringSPrintf()`, `PetscViewerStringSetOwnString()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/string/stringv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages